@echo off
echo This utility will copy generated AssetRegistry.bin into the proper folder. 
echo Be sure you run fist that generate.bat before you run copy.bat
pause

IF NOT EXIST TS2Prototype\Saved\Cooked\WindowsNoEditor\TS2Prototype\AssetRegistry.bin goto Error
copy TS2Prototype\Saved\Cooked\WindowsNoEditor\TS2Prototype\AssetRegistry.bin TS2Prototype\Releases\1.0\WindowsNoEditor\
copy TS2Prototype\Saved\Cooked\WindowsNoEditor\TS2Prototype\Metadata\DevelopmentAssetRegistry.bin TS2Prototype\Releases\1.0\WindowsNoEditor\Metadata\
copy TS2Prototype\Saved\Cooked\WindowsNoEditor\TS2Prototype\Metadata\CookedIniVersion.txt TS2Prototype\Releases\1.0\WindowsNoEditor\Metadata\

echo All done, your editor is ready for cooking.
pause
exit

:Error
echo AssetRegistry.bin dont exist, you need to run first generate.bat file
pause
exit